/***************************PRODUCT DETAiL PAGE***********************/

.block-pages-productdetail {
    padding-top: 30px;
    .gallery {
        margin-bottom: 40px;
        max-width: 100%;
        /* owl styling */
        .owl-stage-outer {
            overflow: hidden;
        }
        .owl-stage {
            display: flex;
        }
        .disabled {
            display: none;
        }
        .owl-1 {
            margin-bottom: 20px;
            img {
                width: 100%;
            }
        }
        .owl-2 {
            .owl-item {
                .thumb {
                    position: relative;
                    border: 1px solid #EBEBEB;
                    &::before {
                        content: '';
                        position: absolute;
                        top: 0;
                        left: 0;
                        right: 0;
                        bottom: 0;
                        background-color: transparent;
                        transition: all 0.25s;
                    }
                }
            }
            .current {
                .thumb {
                    &::before {
                        background-color: rgba(0, 0, 0, 0.3);
                        transition: all 0.25s;
                    }
                }
            }
        }
    }
    .block-detail {
        .product-name {
            font-weight: bold;
            font-size: 24px;
            line-height: calc(28px/24px);
            color: $main-color;
            margin-bottom: 12px;
            @media only screen and (max-width: 768px) {
                font-size: 20px;
            }
        }
        .price-wrap {
            margin-bottom: 20px;
            span {
                display: inline-block;
                font-family: $header-font;
                font-style: normal;
                font-weight: 500;
                font-size: 30px;
                line-height: 37px;
                text-transform: uppercase;
                margin-right: 10px;
            }
            .price-new {
                color: $main-color;
                font-weight: 500;
                font-size: 24px;
                line-height: 28px;
                @media only screen and (max-width: 768px) {
                    font-size: 20px;
                }
            }
            .price-old {
                font-weight: 500;
                font-size: 16px;
                line-height: 19px;
                color: $content-color-default;
                text-decoration: line-through;
                @media only screen and (max-width: 768px) {
                    font-size: 14px;
                }
            }
        }
        .desc {
            font-family: 'Open Sans', sans-serif;
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 23px;
            color: $content-color-default;
            margin-bottom: 20px;
        }
        .block-custom-change {
            .change-item {
                display: inline-flex;
                align-items: center;
                margin-bottom: 30px;
                width: 100%;
                .change-name {
                    font-family: 'Open Sans', sans-serif;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 23px;
                    color: $content-color-default;
                    margin-right: 30px;
                    min-width: 90px;
                    @media only screen and (max-width: 768px) {
                        min-width: auto;
                    }
                }
                .form-check {
                    span {
                        display: inline-block;
                        font-family: 'Open Sans', sans-serif;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 20px;
                        color: $text-color;
                        margin-right: 5px;
                        padding: 5px 15px;
                        background-color: white;
                        border: 1px solid #E9E9E9;
                        box-sizing: border-box;
                        border-radius: 2px;
                        cursor: pointer;
                        @media only screen and (max-width: 768px) {
                            font-size: 13px;
                            padding: 5px;
                        }
                    }
                    .form-check-input {
                        display: none;
                        &:checked~span {
                            color: $main-color;
                            border: 1px solid #2F6ED5;
                            transition: all 0.23s;
                        }
                    }
                }
            }
            .form-action {
                display: flex;
                align-items: center;
                flex-wrap: wrap;
                .quantity {
                    display: inline-flex;
                    background: #FFFFFF;
                    border: 1px solid #DFE3E8;
                    box-sizing: border-box;
                    border-radius: 2px;
                    position: relative;
                    margin-right: 8px;
                    margin-bottom: 10px;
                    input {
                        border: none;
                        text-align: center;
                        outline: none;
                        box-shadow: none;
                        background-color: transparent;
                        height: 36px;
                        width: 80px;
                        line-height: 36px;
                        color: $content-color-default;
                        font-family: $header-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 20px;
                        line-height: 20px;
                        text-transform: uppercase;
                    }
                    input[type=number]::-webkit-inner-spin-button,
                    input[type=number]::-webkit-outer-spin-button {
                        -webkit-appearance: none;
                        margin: 0;
                    }
                    input[type=number] {
                        -moz-appearance: textfield;
                    }
                    .quantity-nav {
                        .quantity-down {
                            position: absolute;
                            top: 50%;
                            left: 7px;
                            transform: translateY(-50%);
                            background-color: transparent;
                        }
                        .quantity-up {
                            position: absolute;
                            top: 50%;
                            right: 7px;
                            transform: translateY(-50%);
                            background-color: transparent;
                        }
                    }
                }
                .like-check {
                    margin-right: 10px;
                    border: 1px solid #EBEBEB;
                    box-sizing: border-box;
                    border-radius: 2px;
                    padding: 8px 16px;
                    font-size: 14px;
                    line-height: 20px;
                    display: flex;
                    align-items: center;
                    text-align: center;
                    color: #3F4755;
                    margin-bottom: 10px;
                    span {
                        display: inline-block;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        text-align: center;
                        color: $text-color;
                        margin-right: 10px;
                        cursor: pointer;
                    }
                    .form-check-input {
                        display: none;
                        &:checked~span {
                            svg {
                                path {
                                    fill: $main-color;
                                    stroke: $main-color;
                                }
                            }
                            border-color: $main-color;
                            transition: all 0.23s;
                        }
                    }
                }
                .btn {
                    outline: none;
                    box-shadow: none;
                    height: 38px;
                    line-height: 38px;
                    padding: 0 15px;
                    text-align: center;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 20px;
                    text-transform: uppercase;
                    margin-right: 10px;
                    border: solid 1px transparent;
                    border-radius: 9999px;
                }
                .btn-addcart {
                    background: #FFFFFF;
                    border: 1px solid #EBEBEB;
                    box-sizing: border-box;
                    border-radius: 2px;
                    text-transform: capitalize;
                    margin-bottom: 10px;
                }
                .btn-buy {
                    background-color: $main-color;
                    border-color: $main-color;
                    width: 100%;
                    max-width: 370px;
                    color: white;
                    margin-top: 15px;
                    border-radius: 2px;
                }
            }
        }
        .block-status {
            font-family: 'Open Sans', sans-serif;
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 20px;
            margin-left: 40px;
            color: #3F4755;
            span {
                font-weight: 500;
                color: $main-color;
                padding-left: 10px;
            }
        }
        .block-category-type {
            padding: 5px 0;
            span {
                display: inline-block;
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;
                color: #3F4755;
                margin-right: 27px;
                min-width: 100px;
            }
            a {
                text-decoration: none;
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 20px;
                color: #949494;
                &:hover {
                    color: $main-color;
                    transition: all 0.23s;
                }
            }
        }
        .social {
            display: inline-flex;
            align-items: center;
            span {
                display: inline-block;
                text-transform: uppercase;
                font-family: $header-font;
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 20px;
                margin-top: 2px;
                margin-right: 15px;
                color: $content-color-default;
            }
            ul {
                margin: 0;
                padding: 0;
                list-style: none;
                li {
                    display: inline-block;
                    margin-right: 15px;
                    a {
                        margin: 0;
                        &:hover {
                            svg {
                                path {
                                    fill: $main-color;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    .block-description {
        margin-top: 40px;
        .nav-tabs {
            .nav-item {
                margin-bottom: 0;
                @media only screen and (max-width: 480px) {
                    width: 100%;
                }
                a {
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    text-transform: uppercase;
                    color: #949494;
                    text-align: center;
                    min-width: 170px;
                    padding: 13px 30px;
                    margin-bottom: -1px;
                    @media only screen and (max-width: 480px) {
                        width: 100%;
                    }
                }
                .active {
                    background: #2F6ED5;
                    border-radius: 2px 2px 0px 0px;
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    text-transform: uppercase;
                    color: #F9FAFB;
                }
            }
        }
        .tab-content {
            font-size: 14px;
            line-height: 21px;
            display: flex;
            align-items: center;
            color: #3F4755;
            margin-top: 60px;
            .tab-pane {
                font-family: 'Open Sans', sans-serif;
                font-style: normal;
                font-weight: 500;
                font-size: 13px;
                color: $content-color-default;
            }
            // .block-comment{
            //     .title-block{
            //         font-style: normal;
            //         font-weight: 500;
            //         font-size: 14px;
            //         line-height: 17px;
            //         text-transform: uppercase;
            //         color: $content-color-default;
            //         margin-bottom: 20px;
            //         span{
            //             display: inline-block;
            //             padding: 10px 0;
            //             border-bottom: solid 1px $text-color;
            //         }
            //     }
            //     .comment-list{
            //         margin-bottom: 30px;
            //         .comment-item{
            //             .user-avatar{
            //                 margin-right: 20px;
            //                 .thumb{
            //                     width: 83px;
            //                     height: 83px;
            //                     border-radius: 50%;
            //                     overflow: hidden;
            //                 }
            //             }
            //             .comment-content{
            //                 width: 100%;
            //                 background: white;
            //                 /* border */
            //                 border: 1px solid #E9E9E9;
            //                 box-sizing: border-box;
            //                 border-radius: 4px;
            //                 padding: 15px 25px;
            //                 position: relative;
            //                 &::before{
            //                     content: '';
            //                     position: absolute;
            //                     width: 20px;
            //                     height: 20px;
            //                     top: 38px;
            //                     left: -11px;
            //                     border-top: solid 1px #E9E9E9;
            //                     border-left: solid 1px #E9E9E9;
            //                     background-color: white;
            //                     transform: rotate(-45deg);
            //                 }
            //                 .flex-display{
            //                     align-items: flex-start;
            //                 }
            //                 .user-infor{
            //                     .name{
            //                         font-style: normal;
            //                         font-weight: 500;
            //                         font-size: 16px;
            //                         line-height: 20px;
            //                         color: $text-color;
            //                         margin-bottom: 0;
            //                     }
            //                     .rated{
            //                         margin-bottom: 15px;
            //                     }
            //                 }
            //                 .date{
            //                     font-style: normal;
            //                     font-weight: normal;
            //                     font-size: 12px;
            //                     line-height: 15px;/* identical to box height */
            //                     letter-spacing: 0.1em;
            //                     color: $header-font;
            //                 }
            //                 .content{
            //                     font-family: 'Open Sans', sans-serif;
            //                     font-style: normal;
            //                     font-weight: normal;
            //                     font-size: 13px;
            //                     line-height: 19px;
            //                     color: $content-color-default;
            //                 }
            //             }
            //         }
            //     }
            //     .block-form-rating{
            //         .form-group-rating{
            //             margin-bottom: 15px;
            //             display: flex;
            //             .title{
            //                 white-space: nowrap;
            //                 margin-right: 25px;
            //                 font-style: normal;
            //                 font-weight: 500;
            //                 font-size: 14px;
            //                 line-height: 23px;
            //                 color: $content-color-default;
            //                 min-width: 70px;
            //             }
            //             .rating{
            //                 width: 100%;
            //                 .form-group{
            //                     label.star{
            //                         color: $main-color;
            //                         font-size: 17px;
            //                     }
            //                     input.star:checked ~ label.star:before{
            //                         color: $main-color;
            //                     }
            //                 }
            //             }
            //             textarea{
            //                 width: 100%;
            //                 height: 110px;
            //                 resize: none;
            //                 box-shadow: none;
            //                 outline: none;
            //                 font-family: 'Open Sans', sans-serif;
            //                 font-style: normal;
            //                 font-weight: 500;
            //                 font-size: 13px;
            //                 color: $content-color-default;
            //                 padding: 10px;
            //             }
            //             .btn-submit{
            //                 font-style: normal;
            //                 font-weight: 500;
            //                 font-size: 14px;
            //                 line-height: 20px;/* identical to box height */
            //                 text-transform: uppercase;
            //                 color: #F9FAFB;
            //                 background-color: $main-color;
            //                 padding-left: 25px;
            //                 padding-right: 25px;
            //                 border-radius: 9999px;
            //                 outline: none;
            //                 box-shadow: none;
            //                 border: none;
            //             }
            //         }
            //     }
            // }
        }
    }
}

.block-comment {
    .title-block {
        font-weight: bold;
        font-size: 14px;
        line-height: 20px;
        text-transform: uppercase;
        color: #3F4755;
        margin-bottom: 30px;
    }
    .comment-list {
        margin-bottom: 30px;
        .comment-item {
            .user-avatar {
                margin-right: 20px;
                .thumb {
                    width: 71px;
                    height: 71px;
                    overflow: hidden;
                    @media only screen and (max-width: 480px) {
                        width: 50px;
                        height: 50px;
                    }
                }
            }
            .comment-content {
                width: 100%;
                margin-bottom: 30px;
                background: white;
                /* border */
                border: 1px solid #E9E9E9;
                box-sizing: border-box;
                border-radius: 4px;
                padding: 15px 25px;
                position: relative;
                @media only screen and (max-width: 480px) {
                    padding: 12px;
                }
                &::before {
                    content: '';
                    position: absolute;
                    width: 20px;
                    height: 20px;
                    top: 38px;
                    left: -11px;
                    border-top: solid 1px #E9E9E9;
                    border-left: solid 1px #E9E9E9;
                    background-color: white;
                    transform: rotate(-45deg);
                }
                .flex-display {
                    align-items: flex-start;
                }
                .user-infor {
                    .name {
                        font-style: normal;
                        font-weight: 500;
                        font-size: 16px;
                        line-height: 20px;
                        color: $text-color;
                        margin-bottom: 0;
                        @media only screen and (max-width: 480px) {
                            font-size: 14px;
                        }
                    }
                    .rated {
                        margin-bottom: 15px;
                    }
                }
                .date {
                    font-style: normal;
                    font-weight: normal;
                    font-size: 12px;
                    line-height: 15px;
                    /* identical to box height */
                    letter-spacing: 0.1em;
                    color: $header-font;
                }
                .content {
                    font-family: 'Open Sans', sans-serif;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 13px;
                    line-height: 19px;
                    color: $content-color-default;
                }
            }
        }
    }
    .block-form-rating {
        .form-group-rating {
            margin-bottom: 15px;
            display: flex;
            flex-wrap: wrap;
            .row {
                width: 100%;
                flex: 85%;
                input {
                    background: #F6F6F6;
                    border: 1px solid #F6F6F6;
                    box-sizing: border-box;
                    border-radius: 2px;
                    font-size: 14px;
                    line-height: 16px;
                    color: #949494;
                    margin-bottom: 20px;
                    padding: 15px;
                    height: 48px;
                    resize: none;
                    box-shadow: none;
                    outline: none;
                }
            }
            .title {
                white-space: nowrap;
                margin-right: 25px;
                font-style: normal;
                font-weight: 500;
                font-size: 14px;
                line-height: 23px;
                color: $content-color-default;
                min-width: 70px;
            }
            .rating {
                width: 100%;
                .form-group {
                    label.star {
                        color: gray;
                        font-size: 17px;
                    }
                    input.star:checked~label.star:before {
                        color: $main-color;
                    }
                }
            }
            textarea {
                width: 100%;
                height: 110px;
                resize: none;
                box-shadow: none;
                outline: none;
                background: #F6F6F6;
                border: 1px solid #F6F6F6;
                box-sizing: border-box;
                border-radius: 2px;
                font-weight: 500;
                font-size: 13px;
                color: $content-color-default;
                padding: 10px;
            }
            .btn-submit {
                font-style: normal;
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;
                text-transform: uppercase;
                color: #F9FAFB;
                background-color: $main-color;
                padding-left: 25px;
                padding-right: 25px;
                border-radius: 2px;
                outline: none;
                box-shadow: none;
                border: none;
            }
        }
    }
}

.block-related {
    padding: 50px 0 0;
    .owl-dots {
        display: none;
    }
    .owl-nav {
        position: absolute;
        top: -50px;
        right: -10px;
        @media only screen and (max-width: 768px) {
            top: -45px;
        }
        .owl-prev {
            border-right: 1px solid #949494 !important;
        }
        .owl-prev,
        .owl-next {
            span {
                font-size: 25px;
                width: 30px;
                display: block;
                height: 27px;
                line-height: 25px;
            }
        }
    }
    .header-related {
        display: flex;
        justify-content: space-between;
        align-items: center;
        .swiper-button {
            position: static;
            width: 36px;
            height: 36px;
            line-height: 36px;
            background-image: none;
            background-color: #E9E9E9;
            text-align: center;
            border-radius: 50%;
            margin-left: 13px;
            margin-top: 0;
        }
        h2 {
            font-style: normal;
            font-weight: 900;
            font-size: 16px;
            line-height: 19px;
            text-transform: uppercase;
            margin-bottom: 30px;
            color: #2F6ED5;
        }
    }
    .swiper-wrapper {
        .item {
            padding-bottom: 10px;
        }
        .swiper-slide {
            .product-item {
                background: white;
                transition: all 0.25s;
                .thumb-product {
                    position: relative;
                    .product-status {
                        position: absolute;
                        top: 15px;
                        left: 15px;
                        display: inline-flex;
                        .status-item {
                            font-family: 'Roboto', sans-serif;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: normal;
                            letter-spacing: 0.05em;
                            text-transform: capitalize;
                            color: white;
                            padding: 4px 15px;
                            background: #969696;
                            border-radius: 99999px;
                            margin-right: 8px;
                        }
                    }
                    .product-like {
                        position: absolute;
                        top: 12px;
                        right: 15px;
                        .btn-like {
                            padding: 0;
                            margin: 0;
                            outline: none;
                            box-shadow: none;
                            &:hover {
                                svg {
                                    path {
                                        stroke: $main-color;
                                        fill: $main-color;
                                    }
                                }
                            }
                        }
                        .active {
                            svg {
                                path {
                                    stroke: $main-color;
                                    fill: $main-color;
                                }
                            }
                        }
                    }
                    img {
                        width: 100%;
                    }
                }
                .product-content {
                    padding: 20px 15px 15px 15px;
                    text-align: center;
                    .name {
                        a {
                            text-decoration: none;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 16px;
                            line-height: normal;
                            text-transform: uppercase;
                            color: $text-color;
                            transition: all 0.25s;
                            &:hover {
                                color: $main-color;
                                transition: all 0.25s;
                            }
                        }
                    }
                    .rating {
                        margin-bottom: 15px;
                    }
                    .price-new {
                        font-style: normal;
                        font-weight: normal;
                        font-size: 15px;
                        line-height: normal;
                        text-transform: uppercase;
                        margin-bottom: 8px;
                    }
                    .price-old {
                        font-style: normal;
                        font-weight: normal;
                        font-size: 15px;
                        line-height: normal;
                        text-transform: uppercase;
                        color: #969696;
                        text-decoration: line-through;
                        margin-bottom: 8px;
                    }
                    .action {
                        .btn-addcart {
                            margin-top: 15px;
                            background: #E9E9E9;
                            font-size: 14px;
                            line-height: 20px;
                            display: flex;
                            align-items: center;
                            text-align: center;
                            color: #3F4755;
                            text-transform: capitalize;
                            &:hover {
                                background-color: $main-color;
                                color: white;
                                transition: all 0.25s;
                            }
                        }
                    }
                }
                &:hover {
                    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
                    transition: all 0.25s;
                }
            }
        }
    }
}

.rated {
    ul {
        margin: 0;
        padding: 0;
        list-style: none;
        display: inline-flex;
        align-items: center;
        li {
            margin-right: 4px;
        }
    }
}

.block-breadcrumb {
    background: #E9E9E9;
    .breadcrumb {
        background-color: transparent;
        margin: 0;
        .breadcrumb-item {
            font-family: $header-font;
            font-style: normal;
            font-weight: 500;
            font-size: 14px;
            line-height: 17px;
            color: $content-color-default;
            text-decoration: none;
        }
        a {
            &:hover {
                color: $main-color;
                transition: all 0.23s;
            }
        }
    }
}

.flex-box {
    display: flex;
}